package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"sapfunctioninstanceOrSAPCODEBLOCK"}
)
@XmlRootElement(
   name = "SAPPROGRAMFLOWOBJECT"
)
public class SAPPROGRAMFLOWOBJECT {
   @XmlAttribute(
      name = "REF_SOURCE_NAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String refsourcename;
   @XmlAttribute(
      name = "REF_DBD_NAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String refdbdname;
   @XmlAttribute(
      name = "REF_SOURCEINSTNAME"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String refsourceinstname;
   @XmlAttribute(
      name = "TYPE",
      required = true
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String type;
   @XmlAttribute(
      name = "JOINBITMAP",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String joinbitmap;
   @XmlAttribute(
      name = "ORDER"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String order;
   @XmlAttribute(
      name = "DSQINSTNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String dsqinstname;
   @XmlElements({@XmlElement(
   name = "SAPFUNCTIONINSTANCE",
   type = SAPFUNCTIONINSTANCE.class
), @XmlElement(
   name = "SAPCODEBLOCK",
   type = SAPCODEBLOCK.class
)})
   protected List<Object> sapfunctioninstanceOrSAPCODEBLOCK;

   public String getREFSOURCENAME() {
      return this.refsourcename;
   }

   public void setREFSOURCENAME(String value) {
      this.refsourcename = value;
   }

   public String getREFDBDNAME() {
      return this.refdbdname;
   }

   public void setREFDBDNAME(String value) {
      this.refdbdname = value;
   }

   public String getREFSOURCEINSTNAME() {
      return this.refsourceinstname;
   }

   public void setREFSOURCEINSTNAME(String value) {
      this.refsourceinstname = value;
   }

   public String getTYPE() {
      return this.type;
   }

   public void setTYPE(String value) {
      this.type = value;
   }

   public String getJOINBITMAP() {
      return this.joinbitmap;
   }

   public void setJOINBITMAP(String value) {
      this.joinbitmap = value;
   }

   public String getORDER() {
      return this.order;
   }

   public void setORDER(String value) {
      this.order = value;
   }

   public String getDSQINSTNAME() {
      return this.dsqinstname;
   }

   public void setDSQINSTNAME(String value) {
      this.dsqinstname = value;
   }

   public List<Object> getSAPFUNCTIONINSTANCEOrSAPCODEBLOCK() {
      if (this.sapfunctioninstanceOrSAPCODEBLOCK == null) {
         this.sapfunctioninstanceOrSAPCODEBLOCK = new ArrayList();
      }

      return this.sapfunctioninstanceOrSAPCODEBLOCK;
   }
}
